텍스트큐브 설치 후
여러가지 기능 복구를 위해 열심히 노력하고 있는 중이다.

근데 오늘은 좀 머리가 아팠다.

jQuery를 당연히 사용할 수 있는 환경으로 생각했고 firebug로 확인한 소스보기에서도 jQuery 1.4를 include 하고 있었기 때문에 별 문제 없이 jQuery 플러그인을 적용가능할 것이라고 생각했지만 이게 그렇지가 않았다.

일단 결론부터 이야기하자면

텍스트큐브(1.8.5 버전 기준)에서 jQuery를 사용하기 위해서는 설치경로/library/view/view.php의 73번 째 줄에서

<script type="text/javascript">jQuery.noConflict();</script>

를 제거해주어야만 한다.

또한
jQuery 실행부는 다음과 같이 감싸줄 경우에 동작하였다.

$(document).ready(function(){
//실행할 코드 어쩌고 저쩌고
});

익명함수로도 감싸고 별짓을 다했는데ㅋ
결국 위의 기본적인 것으로 동작하더라.

근데 이걸 정상동작시키기 위해서 텍스트큐브 내의 소스를 살펴보았는데
텍스트큐브상에서는 아직 jQuery를 이용하는 부분이 없는 듯 싶었다.

왜지..?

또한 참고로

Tags:

2 Comments

  1. 새로적용한 스킨의 스크롤 기능이 구현이안되서 보았더니 저스크립트 때문이었습니다.
    정말감사합니다.

Leave a Reply

Your email address will not be published. Required fields are marked *